DECLARE @ApplicationName    VARCHAR(256) ;
DECLARE @ServerEnvironment  VARCHAR(64)  = 'CHANGEME';
DECLARE @FilterDbs          VARCHAR(MAX) = 'master,msdb,tempdb,model';
select 
    @ApplicationName = CAST(
                           SERVERPROPERTY('ServerName') 
                       AS VARCHAR(256)) + 
                       CASE 
                           WHEN SERVERPROPERTY('InstanceName') IS NULL 
                               THEN '' 
                           ELSE  CHAR(92) /* backslash*/ + 
                                 CAST(
                                     SERVERPROPERTY('InstanceName') 
                                 AS VARCHAR(256)) 
    END
;


INSERT INTO Common.ApplicationParams (
    ApplicationName, ParamName, ParamValue, 
    DefaultValue, ValueCanBeNULL, isDepreciated,
    ParamDescription
)
VALUES (
    @ApplicationName, 'Environment',@ServerEnvironment,@ServerEnvironment,
    0,0,'Defines the software environment in which this server is'
);


INSERT INTO Common.ApplicationParams (
    ApplicationName, ParamName, ParamValue, 
    DefaultValue, ValueCanBeNULL, isDepreciated,
    ParamDescription
)
VALUES (
    @ApplicationName, 'SystemDatabases',@FilterDbs,@FilterDbs,
    0,0,'Defines the software environment in which this server is'
);

